#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		talloc_version	2.3.4
%global		tdb_version	1.4.7
%global		tevent_version	0.10.2
#-----------------------------------------------------------------------------
Name		:	ldb
Version		:	2.8.0
Release		:	16.2.0.rel%{?dist}
Summary		:	A schema-less, ldap like, API and database


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://ldb.samba.org/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc

BuildRequires	:	cmocka-devel
BuildRequires	:	doxygen
BuildRequires	:	gnupg
BuildRequires	:	lmdb-devel
BuildRequires	:	openldap-devel
BuildRequires	:	popt

BuildRequires	:	talloc-devel	>= %{talloc_version}
BuildRequires	:	tdb-devel	>= %{tdb_version}
BuildRequires	:	tevent-devel	>= %{tevent_version}


#-----------------------------------------------------------------------------
%description
An extensible library that implements an LDAP like API
to access remote LDAP servers, or use local tdb databases.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}add
%{_bindir}/%{name}del
%{_bindir}/%{name}edit
%{_bindir}/%{name}modify
%{_bindir}/%{name}rename
%{_bindir}/%{name}search
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}/lib%{name}-cmdline.so
%{_libdir}/%{name}/lib%{name}-key-value.so
%{_libdir}/%{name}/lib%{name}-tdb-err-map.so
%{_libdir}/%{name}/lib%{name}-tdb-int.so
%{_libdir}/%{name}/modules/%{name}/*.so
%{_libdir}/%{name}/lib%{name}-mdb-int.so
%{_libdir}/libpy%{name}-util.cpython-*.so.2*
%{python3_sitearch}/%{name}.cpython-*.so
%{_mandir}/man1/%{name}add.1.gz
%{_mandir}/man1/%{name}del.1.gz
%{_mandir}/man1/%{name}edit.1.gz
%{_mandir}/man1/%{name}modify.1.gz
%{_mandir}/man1/%{name}rename.1.gz
%{_mandir}/man1/%{name}search.1.gz

%{python3_sitearch}/_%{name}_text.py
%{python3_sitearch}/__pycache__/_%{name}_text.cpython-*.py*
 
#=============================================================================
%package		devel
Summary		:	Developer tools for the LDB library

Requires	:	%{name}		= %{version}-%{release}
Requires	:	talloc-devel	>= %{talloc_version}
Requires	:	tevent-devel	>= %{tevent_version}
Requires	:	tdb-devel	>= %{tdb_version}
 
#-----------------------------------------------------------------------------
%description		devel
Header files needed to develop programs that link against
the LDB library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}_module.h
%{_includedir}/%{name}_handlers.h
%{_includedir}/%{name}_errors.h
%{_includedir}/%{name}_version.h
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}*.3.gz
%{_mandir}/man3/ldif*.3.gz

%{_includedir}/py%{name}.h
%{_libdir}/libpy%{name}-util.cpython-*.so
%{_libdir}/pkgconfig/py%{name}-util.cpython-*.pc
%{_mandir}/man3/Py*.gz

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=/var				\
	--sysconfdir=%{_sysconfdir}/samba		\
	--bundled-libraries=NONE			\
	--builtin-libraries=replace			\
	--with-modulesdir=%{_libdir}/ldb/modules	\
	--with-privatelibdir=%{_libdir}/ldb		\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


doxygen Doxyfile

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

# Install API docs
%{__mkdir_p}							\
	%{buildroot}%{_mandir}

%{__cp} -a							\
	apidocs/man/*						\
	%{buildroot}%{_mandir}

#-----------------------------------------------------------------------------
%changelog
